[4/7] appveyor: Use requirement files to install dependencies with pip

Submitted by Dylan Baker on June 13, 2017, 8:59 p.m.

Details

Message ID 20170613205953.30280-5-dylan@pnwbakers.com
State New
Headers show
Series "Series without cover letter" ( rev: 1 ) in Piglit

Not browsing as part of any series.

Commit Message

Dylan Baker June 13, 2017, 8:59 p.m.
This allows the dependencies to be centrally located, rather than in
multiple places.

Signed-off-by: Dylan Baker <dylanx.c.baker@intel.com>
---
 appveyor.yml | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

Patch hide | download patch | download mbox

diff --git a/appveyor.yml b/appveyor.yml
index 8a78f61f7..520339c87 100644
--- a/appveyor.yml
+++ b/appveyor.yml
@@ -64,12 +64,9 @@  install:
   # Setup Python 3
   - set Path=%PYTHON_HOME%;%PYTHON_HOME%\Scripts;%Path%
   - pip --version
-  # Install Six
-  - pip install six
-  # Install Mako
-  - pip install Mako==1.0.6
-  # Install Numpy
-  - pip install numpy==1.12.1
+  # Install minimum python requirements
+  - pip install -r python-requirements/minimum.txt
+  - pip install -r python-requirements/python3-extra.txt
   # Check CMake
   - cmake --version
   # Install Ninja